libmodplug1_0.8.9.0-2_i386.deb


Advertisement

Description

libmodplug1 - shared libraries for mod music based on ModPlug

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libmodplug1_0.8.9.0-2_i386.deb
Package name libmodplug1
Package version 0.8.9.0
Package release 2
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage http://modplug-xmms.sourceforge.net/
License -
Maintainer Stephen Kitt <skitt@debian.org>
Download size 162.44 KB
Installed size 355.00 KB
Module files (MOD music, tracker music) are a family of music file
formats originating from the MOD file format on Amiga systems used in
late 1980s.
This is a library based on the mod music rendering code from ModPlug,
a popular Windows mod player written by Olivier Lapicque, found at
http://www.modplug.com.

Alternatives

Package Version Architecture Repository
libmodplug1_0.8.9.0-2_amd64.deb 0.8.9.0 amd64 Debian Main
libmodplug1 - - -

Requires

Name Value
libc6 >= 2.15
libgcc1 >= 1:3.0
libstdc++6 >= 5

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libmodplug1_0.8.9.0-2_i386.deb
Source Package libmodplug

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmodplug1 deb package:
    # sudo apt-get install libmodplug1

Files

Path
/usr/lib/i386-linux-gnu/libmodplug.so.1
/usr/lib/i386-linux-gnu/libmodplug.so.1.0.0
/usr/share/doc/libmodplug1/README.Debian
/usr/share/doc/libmodplug1/README.gz
/usr/share/doc/libmodplug1/TODO
/usr/share/doc/libmodplug1/changelog.Debian.gz
/usr/share/doc/libmodplug1/changelog.gz
/usr/share/doc/libmodplug1/copyright

Changelog

2018-05-10 - Stephen Kitt <skitt@debian.org>
libmodplug (1:0.8.9.0-2) unstable; urgency=medium
* Migrate to Salsa.
* Switch to debhelper compatibility level 11.
* Standards-Version 4.1.4, no further change required.
2017-08-21 - Stephen Kitt <skitt@debian.org>
libmodplug (1:0.8.9.0-1) unstable; urgency=medium
* New upstream release.
* Fix debian/watch.
* Standards-Version 4.0.0, no further change required.
2016-10-27 - Stephen Kitt <skitt@debian.org>
libmodplug (1:0.8.8.5-3) unstable; urgency=medium
* Update watch file, thanks to Bart Martens.
* Switch to https: VCS URIs (see #810378).
* Clean up debian/control using cme.
* Standards-Version 3.9.8, no change required.
* Drop obsolete Conflicts/Replaces on xmms-modplug.
* Make libmodplug-dev depend on the same binary version of
libmodplug1, they're both Arch: any.
* Switch to debhelper compatibility level 10.
2015-08-24 - Stephen Kitt <skitt@debian.org>
libmodplug (1:0.8.8.5-2) unstable; urgency=medium
* Adopt the package; thanks for your work, Zed!
* Switch to a simple dh-based rules, with dh-autoreconf. This should
allow building on ppc64el. Closes: #789945.
* Add symbols file.
2015-06-01 - Zed Pobre <zed@debian.org>
libmodplug (1:0.8.8.5-1) unstable; urgency=medium
* New upstream version
* Add build-arch and build-indep targets to debian/rules
* Add debian/watch file
* Explicitly depend on Debhelper >= 9
* Move Homepage entry from binaries to source
* Switch dh_clean -k to dh_prep
* Remove rendundant Section entry from libmodplug1 binary control area
* Use new canonical anonscm.debian.org Vcs-Git location
2015-06-01 - Zed Pobre <zed@debian.org>
libmodplug (1:0.8.8.4-5) unstable; urgency=medium
* Officially log NMU by Eric Dorland
* Incorporate multiarch support patch provided by
Francois Gouget <fgouget@codeweavers.com>
* Change build-dependency from "automake1.11" to just "automake" to
allow building under Jessie.
* Standards-Version 3.9.6
* debian/rules now only cleans files that did not originally exist.
This means that repeated builds will probably only work via
git-buildpackage.
2014-03-08 - Eric Dorland <eric@debian.org>
libmodplug (1:0.8.8.4-4.1) unstable; urgency=medium
* Non-maintainer upload.
* debian/control: Switch to automake1.11. (Closes: #724407)
2013-09-02 - Zed Pobre <zed@debian.org>
libmodplug (1:0.8.8.4-4) unstable; urgency=high
* Merge all changes from latest upstream Git repository (0.8.8.4 with
additional patches), including the following security changes:
* CVE-2013-4233: fix integer overflow in load_abc.cpp
* CVE-2013-4234: fix heap overflows in abc_MIDI_drum and abc_MIDI_gchord
* Closes: #719642
* Standards-Version: 3.9.4
* Added Vcs-Git and Vcs-Browser entries
2012-04-09 - Zed Pobre <zed@debian.org>
libmodplug (1:0.8.8.4-3) unstable; urgency=low
* Fix missing backslash on dpkg-buildflags line (closes: #654817)
2012-04-06 - Zed Pobre <zed@debian.org>
libmodplug (1:0.8.8.4-2) unstable; urgency=low
* Enable hardened build flags via dpkg-buildflags (closes: #654817)
This requires dpkg-buildflags from the dpkg-dev package to be at least
version 1.16.1 (when the --export=configure flag was defined)

See Also

Package Description
libmods-record-perl_0.13-1_all.deb module for handling MODS records
libmodsecurity-dev_3.0.3-1_i386.deb ModSecurity v3 library component (development files)
libmodsecurity3_3.0.3-1_i386.deb ModSecurity v3 library component
libmodulator-java_1.0-3_all.deb Java small shim library that wraps Java 9 APIs and exposes them to recent JDKs
libmodule-build-cleaninstall-perl_0.5-3_all.deb module for removing the old module before installing the new one
libmodule-build-perl_0.422400-1_all.deb framework for building and installing Perl modules
libmodule-build-pluggable-perl_0.10-1_all.deb plugins for the perl module Module::Build
libmodule-build-pluggable-ppport-perl_0.04-1_all.deb module to generate a ppport.h file automatically
libmodule-build-tiny-perl_0.039-1_all.deb tiny replacement for Module::Build
libmodule-build-withxspp-perl_0.14-3_all.deb XS++ enhanced flavour of Module::Build
libmodule-build-xsutil-perl_0.19-1_all.deb Module::Build class for building XS modules
libmodule-bundled-files-perl_0.03-1_all.deb perl module to access files bundled with your module
libmodule-compile-perl_0.37-1_all.deb Perl module providing a system to compile Perl modules
libmodule-corelist-perl_5.20190220-1_all.deb module to determine modules shipped with perl
libmodule-cpanfile-perl_1.1004-1_all.deb format for describing CPAN dependencies of Perl applications
Advertisement
Advertisement